Bug 157593 - New behaviour of the breadcrumb navigation
Summary: New behaviour of the breadcrumb navigation
Status: CONFIRMED
Alias: None
Product: kfile
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: kdelibs bugs
URL:
Keywords:
: 205153 214730 260946 412214 (view as bug list)
Depends on:
Blocks:
 
Reported: 2008-02-10 12:28 UTC by Hans Chen
Modified: 2019-09-23 14:13 UTC (History)
7 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hans Chen 2008-02-10 12:28:40 UTC
Version:            (using Devel)
Installed from:    Compiled sources

The breadcrumb view in Dolphin is nice, but in my opinion there is major flaw: you have to switch back to it after you have manually entered a location. (F6 or clicking to the right of the breadcrumb, which I occasionally do).

Here is my proposal. First, I'll define the two "modes", Edit mode and Navigation mode and describe how I think they should work.

Let me begin with the easier one, Edit mode. This is the mode where the location bar is shown, and basically it works like in Konqueror. This works good in Dolphin and doesn't need any changes.

Naturally, when the breadcrumbs are shown, Dolphin is in Navigation mode. And this is the important part.

In Navigation mode, you can - temporary - show the location bar (F6 or click to the right of the URL, as mentioned before). Why temporary? Because it will automatically change back to the breadcrumbs when:

- Escape key is pressed (works in the current version, but where does the focus go?).
- Enter key is pressed.
- The location bar loses focus. (!)

Please note that Dolphin never left the Navigation mode - this _is_ the behavior of the Navigation mode. As stated before, but I can't stress it enough, it temporary just showed the location bar.

You're free to switch between the two modes whenever you want, but you can only do this using the menu or a shortcut key. The idea is that you will only use one - the one you prefer. Not switching back and forth.
It may take some time to get used to, but I think this is more natural and makes the breadcrumbs useful.

I hope my English was understandable, if not please don't hesitate to ask.
Comment 1 Peter Penz 2008-02-10 21:53:13 UTC
Hi Hans, thanks for your explanation! I fully agree to you that we should find a solution to quickly jump back to the breadcrumbs if we just temporary want to edit an URL. But as the URL navigator is not only used by Dolphin we must be careful changing the behavior... My concern with your suggestion is that we then have 3 modes instead of 2. Yes I know: editing the location is still the "breadcrumb mode" in your definition, but still we have 3 modes and it is not possible for the user see the difference when he is in the "temporary edit location"-mode or in the "real edit location mode". What do you think about the following suggestion: when the user presses Ctrl+Enter (Alt+Enter?) in the location mode, automatically a switch back is done to the breadcrumb.
Comment 2 Hans Chen 2008-02-10 22:53:40 UTC
Hi Peter, thank you for your fast response.

I agree that it can be confusing with the "2 or 3 modes", and that's why I wrote that it could take some time getting used to. In theory, I think it would work out pretty good though.

However, I don't know how it would work out in practice. I am not sure I like your idea of two ways of entering a location, and I still think the "returning to breadcrumb on lost focus" makes more sense. But that is just my opinion.

Maybe we should ask the usability people to give their input. I didn't think about the URL navigator begin reused in other places, it's also worth to consider.
Comment 3 Peter Penz 2008-02-10 23:05:34 UTC
OK, I've changed the status of the report to "NEW". Usually if the usability of something is really broken, we get several bug reports about such a topic -> I'll take care marking the reports as duplicate of this report to get further feedback.
Comment 4 Todd 2009-02-23 01:43:13 UTC
I think the best way to implement this idea is that, when the bar is in text mode, there is a toggle button on the far right you can press that changes it between manually changing the mode (the current way) and automatically changing mode (the method suggested above).  

So when the user starts up Dolphin for the first time, the current method (manually changing back and forth) is used.  However, if the users presses the toggle button, from then on leaving the location bar makes it go back to breadcrumb mode automatically.  This happens every time the user switches to text mode.  If the user wants the old method back, he or she just has to press the toggle button again and it returns to the traditional method.That way you only have the two modes, breadcrumb and text, and the user can choose on the fly whether you have to manually change it back from text mode or it changes back automatically.
Comment 5 Todd 2012-09-05 14:56:23 UTC
*** Bug 205153 has been marked as a duplicate of this bug. ***
Comment 6 Todd 2012-12-16 15:13:55 UTC
*** Bug 260946 has been marked as a duplicate of this bug. ***
Comment 7 Todd 2012-12-16 15:19:01 UTC
*** Bug 214730 has been marked as a duplicate of this bug. ***
Comment 8 Weng Xuetian 2012-12-29 17:52:08 UTC
Git commit e74dfee594d38c98ca81d3eb0ba1793f5f8e1aaa by Weng Xuetian.
Committed on 29/12/2012 at 18:49.
Pushed by xuetianweng into branch 'master'.

Automatically set url location bar to non-editable when focus out
REVIEW: 107748

M  +11   -0    dolphin/src/dolphinviewcontainer.cpp
M  +2    -0    dolphin/src/dolphinviewcontainer.h

http://commits.kde.org/kde-baseapps/e74dfee594d38c98ca81d3eb0ba1793f5f8e1aaa
Comment 9 Nate Graham 2019-09-23 14:11:50 UTC
Looks like this behavior got lost somewhere along the way. Re-opening.
Comment 10 Nate Graham 2019-09-23 14:12:07 UTC
*** Bug 412214 has been marked as a duplicate of this bug. ***
Comment 11 Nate Graham 2019-09-23 14:13:41 UTC
Or at least, was only partially implemented. I see it works for the case where the entered URL is accepted with the return key, but not when focus us lost.